<template>
  <section class="AppDishonestExecutee">
    <keep-alive :include="['List']">
      <component ref="component" :is="component" :instance="instance" :params="params" :dict="dict" @change="onChange"/>
    </keep-alive>
  </section>
</template>

<script>
import List from "./components/List.vue";
import Add from "./components/Add.vue";

export default {
  name: "AppDishonestExecutee",
  label: "失信被执行人",
  props: {
    instance: Function,
    dict: Object,
  },
  components: {Add, List},
  data() {
    return {
      component: "List",
      params: {},
      include: [],
    }
  },
  methods: {
    onChange(data) {
      if (data.type === "Add") {
        this.component = "Add";
        this.params = data.params;
      }

      if (data.type === "List") {
        this.component = "List";
        this.params = data.params;

        this.$nextTick(() => {
          if (data.isRefresh) {
            this.$refs.component.getTableData();
          }
        });
      }
    },
  },
  created() {
    this.dict.load("portalUserStatus", "enterpriseStatus", "userEnterpriseStatus","enterpriseType")
  }
}
</script>

<style lang="scss" scoped>
.AppDishonestExecutee {
  height: 100%;
}
</style>
